curl --request GET \
--url https://api.bspk.com/api/extraction/v1/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"store_id": "Store-external_id-56",
"store_name": "Store-65",
"sales_associate_id": "SA_01",
"sales_associate_name": "FirstName-102 LastName-102",
"client_id": "EXTERNAL_ID_174",
"client_name": "FirstName-103 LastName-103",
"body": "Test notes",
"media": [],
"created_at": "2024-08-07T12:29:26.577Z"
}
]List Notes
List notes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Client id owned by the brand, supply
Sales Associate id owned by the brand
Only show notes created after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show notes created within the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 1000). Default: 100
Response
Successful response, returns array of notes
Unique identifier of the store where the note was created (based on associate assignment)
Store name of where the note was created (based on associate assignment)
Unique identifier of the associate that created the note
Full name of the associate who created the note
Unique identifier of the client that the note was for
Full name of the client that the note was for
The text included in the note
Show child attributes
Show child attributes
Timestamp of when the note was created
